-
    headers: 'User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 9_2_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Mobile/13D14 Yammer/6.5.10.4304 (iPhone8,1; iPhone OS 9.2.1; fr_BE; xx; Scale/2.00)'
    result: { browser: { name: Yammer, version: '6.5', type: 'app:chat' }, engine: { name: Webkit, version: 601.1.46 }, os: { name: iOS, version: 9.2.1 }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: 'iPhone 6s' } }
    readable: 'Yammer 6.5 on an Apple iPhone 6s running iOS 9.2.1'
-
    headers: 'User-Agent: YahooMobileMessenger/1.0 (Android Messenger; 1.5.1) (SCH-I500; Samsung; SCH-I500; 2.3.5/GINGERBREAD)'
    result: { browser: { name: 'Yahoo Messenger', version: 1.5.1, type: 'app:chat' }, os: { name: Android, version: 2.3.5 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: Fascinate } }
    readable: 'Yahoo Messenger 1.5.1 on a Samsung Fascinate running Android 2.3.5'
-
    headers: 'User-Agent: YahooMobileMessenger/1.0 (Android Messenger; 1.8.3) (SHW-M340K; samsung; SHW-M340K; 2.3.6/GINGERBREAD)'
    result: { browser: { name: 'Yahoo Messenger', version: 1.8.3, type: 'app:chat' }, os: { name: Android, version: 2.3.6 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy M Style' } }
    readable: 'Yahoo Messenger 1.8.3 on a Samsung Galaxy M Style running Android 2.3.6'
-
    headers: 'User-Agent: YahooMobile/1.0 (im; 1.8.4.15957); (Linux; U; Android 2.3.6; ONE_TOUCH_991D_ALDE Build/GINGERBREAD_MR1);'
    result: { browser: { name: 'Yahoo Messenger', version: 1.8.4, type: 'app:chat' }, os: { name: Android, version: 2.3.6 }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch 991' } }
    readable: 'Yahoo Messenger 1.8.4 on an Alcatel One Touch 991 running Android 2.3.6'
-
    headers: 'User-Agent: YahooMobile/1.0 (im; 1.8.4.15957); (Linux; U; Android 4.2.2; ARCHOS 79XE Build/Unknown);'
    result: { browser: { name: 'Yahoo Messenger', version: 1.8.4, type: 'app:chat' }, os: { name: Android, version: 4.2.2 }, device: { type: media, manufacturer: Archos, model: 79XE } }
    readable: 'Yahoo Messenger 1.8.4 on an Archos 79XE running Android 4.2.2'
-
    headers: 'User-Agent: WhatsApp/2.11.164 Android/4_2_2 Device/samsung-GT-I9152'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: Android, version: 4.2.2 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy Mega 5.8 Plus' } }
    readable: 'WhatsApp 2.11 on a Samsung Galaxy Mega 5.8 Plus running Android 4.2.2'
-
    headers: 'User-Agent: WhatsApp/2.11.139 Android/4.0.4 Device/HTC-HTC_Incredible_S'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: Android, version: 4.0.4 }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: 'Incredible S' } }
    readable: 'WhatsApp 2.11 on a HTC Incredible S running Android 4.0.4'
-
    headers: 'User-Agent: WhatsApp+/2.11.83 Android/4.1.2 Device/samsung-GT-S5310'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: Android, version: 4.1.2 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy Pocket Neo' } }
    readable: 'WhatsApp 2.11 on a Samsung Galaxy Pocket Neo running Android 4.1.2'
-
    headers: 'User-Agent: WhatsApp+/2.11.83 Android/4.0.4 Device/Motorola-MB526'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: Android, version: 4.0.4 }, device: { type: mobile, subtype: smart, manufacturer: Motorola, model: DEFY+ } }
    readable: 'WhatsApp 2.11 on a Motorola DEFY+ running Android 4.0.4'
-
    headers: 'User-Agent: WhatsApp/2.11.107 S60Version/3.1 Device/Nokia-E51-(02.1)'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: Series60, family: Symbian, version: '3.1' }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: E51 } }
    readable: 'WhatsApp 2.11 on a Nokia E51 running Series60 3.1'
-
    headers: 'User-Agent: WhatsApp/2.11.236 S60Version/3.2 Device/Nokia-6650-(02.01)'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: Series60, family: Symbian, version: '3.2' }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: '6650' } }
    readable: 'WhatsApp 2.11 on a Nokia 6650 running Series60 3.2'
-
    headers: 'User-Agent: WhatsApp/2.11.356 WP7/7.10.8107 Device/SAMSUNG-GT-I8350-H23.15.0.8'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: 'Windows Phone', version: '7.10' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Omnia W' } }
    readable: 'WhatsApp 2.11 on a Samsung Omnia W running Windows Phone 7.10'
-
    headers: 'User-Agent: WhatsApp/2.11.282 WP7/8.0.10328.0 Device/NOKIA-RM-914_eu_euro2_341-H1.0.0.0'
    result: { browser: { name: WhatsApp, version: '2.11', type: 'app:chat' }, os: { name: 'Windows Phone', version: '8.0' }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: 'Lumia 520' } }
    readable: 'WhatsApp 2.11 on a Nokia Lumia 520 running Windows Phone 8.0'
-
    headers: 'User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 8_1_2 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) Mobile/12B440 [FBAN/MessengerForiOS;FBAV/17.0.0.20.11;FBBV/5740516;FBDV/iPhone7,1;FBMD/iPhone;FBSN/iPhone OS;FBSV/8.1.2;FBSS/3; FBCR/TelenorDK;FBID/phone;FBLC/da_DK;FBOP/5]'
    result: { browser: { name: 'Facebook Messenger', type: 'app:chat' }, engine: { name: Webkit, version: 600.1.4 }, os: { name: iOS, version: 8.1.2 }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: 'iPhone 6 Plus' } }
    readable: 'Facebook Messenger on an Apple iPhone 6 Plus running iOS 8.1.2'
-
    headers: 'User-Agent: ICQ_Android/4.0.8 (Android; 16; 4.1.1; N7105XXALIJ; GT-N7105; tr-TR)'
    readable: 'ICQ 4.0.8 on a Samsung Galaxy Note II running Android 4.1.1'
    result: { browser: { name: ICQ, version: 4.0.8, type: 'app:chat' }, os: { name: Android, version: 4.1.1 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy Note II' } }
-
    headers: 'User-Agent: Kik/8.2.1.326 (Android 4.1.2) Mozilla/5.0 (Linux; U; Android 4.1.2; en-za; GT-I8190 Build/JZO54K) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30'
    readable: 'Kik 8.2.1 on a Samsung Galaxy S III Mini running Android 4.1.2'
    result: { browser: { name: Kik, version: 8.2.1, type: 'app:chat' }, engine: { name: Webkit, version: '534.30' }, os: { name: Android, version: 4.1.2 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy S III Mini' } }
-
    headers: 'User-Agent: Kik/8.7.0.1643 (Android 5.0.2) Mozilla/5.0 (Linux; Android 5.0.2; C6903 Build/14.5.A.0.270; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/44.0.2403.117 Mobile Safari/537.36'
    readable: 'Kik 8.7 on a Sony Xperia Z1 running Android 5.0.2'
    result: { browser: { name: Kik, using: { name: 'Chromium WebView', version: '44' }, version: '8.7', type: 'app:chat' }, engine: { name: Blink }, os: { name: Android, version: 5.0.2 }, device: { type: mobile, subtype: smart, manufacturer: Sony, model: 'Xperia Z1' } }
-
    headers: 'User-Agent: Kik/9.1.0.3591 (Android 4.3) Mozilla/5.0 (Linux; U; Android 4.3; en-us; G630-U20 Build/HuaweiG630-U20) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30'
    readable: 'Kik 9.1 on a Huawei Ascend G630 running Android 4.3'
    result: { browser: { name: Kik, version: '9.1', type: 'app:chat' }, engine: { name: Webkit, version: '534.30' }, os: { name: Android, version: '4.3' }, device: { type: mobile, subtype: smart, manufacturer: Huawei, model: 'Ascend G630' } }
-
    headers: 'User-Agent: Kik/9.10.0.5037 (Android 6.0.1) Mozilla/5.0 (Linux; Android 6.0.1; SM-G920F Build/MMB29K; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/48.0.2564.106 Mobile Safari/537.36'
    readable: 'Kik 9.10 on a Samsung Galaxy S6 running Android 6.0.1'
    result: { browser: { name: Kik, using: { name: 'Chromium WebView', version: '48' }, version: '9.10', type: 'app:chat' }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy S6' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0; Le X509 Build/DHXOSOP5801911241S; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/49.0.2623.91 Mobile Safari/537.36 [FB_IAB/MESSENGER;FBAV/134.0.0.18.91;]'
    readable: 'Facebook Messenger on a LeEco Le 1s X509 running Android 6.0'
    result: { browser: { name: 'Facebook Messenger', using: { name: 'Chromium WebView', version: '49' }, type: 'app:chat' }, engine: { name: Blink }, os: { name: Android, version: '6.0' }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 1s X509' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0.1; Le X526 Build/IIXOSOP5801910121S) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Mobile Safari/537.36 Wire/0.564.2.20'
    readable: 'Wire 0.564.2.20 on a LeEco Le 2 X526 running Android 6.0.1'
    result: { browser: { name: Wire, family: { name: Chrome, version: 56 }, version: 0.564.2.20, type: 'app:chat' }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 2 X526' } }
